# ---------- DROP TABLE `Customer` BEFORE (RE)CREATION ----------

DROP TABLE IF EXISTS `Customer`;

# ---------- CREATE TABLE `Customer` ----------

CREATE TABLE `Customer` (
	`Customer_ID` INT NOT NULL AUTO_INCREMENT,
	`Title` VARCHAR(50) NULL,
	`First_Name` VARCHAR(50) NULL,
	`Last_Name` VARCHAR(50) NULL,
	`Address_Line` VARCHAR(50) NULL,
	`Town` VARCHAR(50) NULL,
	`County` VARCHAR(50) NULL,
	`Postcode` VARCHAR(50) NULL,
	`Home_Phone` VARCHAR(50) NULL,
	`Work_Phone` VARCHAR(50) NULL,
	`Mobile_Phone` VARCHAR(50) NULL,
	`Email` VARCHAR(50) NULL,
	`Fax` VARCHAR(50) NULL,
	`Is_Customer_Bride?` TINYINT(1) NULL,
	PRIMARY KEY (`Customer_ID`),
	KEY `Customer_ID` (`Customer_ID`),
	KEY `Postcode` (`Postcode`)
) TYPE=MyISAM;

# ---------- EMPTY TABLE `Customer` ----------

DELETE FROM `Customer`;

# ---------- POPUPLATE TABLE `Customer` ----------

INSERT INTO `Customer` (`Customer_ID`, `Title`, `First_Name`, `Last_Name`, `Address_Line`, `Town`, `County`, `Postcode`, `Home_Phone`, `Work_Phone`, `Mobile_Phone`, `Email`, `Fax`, `Is_Customer_Bride?`) VALUES (1, 'Miss', 'Joanne', 'Smith', 'jjjj', 'jjjj', 'nnn', 'NH00 8HH', 'mmm', '000', '00', '00', '00', 0);
INSERT INTO `Customer` (`Customer_ID`, `Title`, `First_Name`, `Last_Name`, `Address_Line`, `Town`, `County`, `Postcode`, `Home_Phone`, `Work_Phone`, `Mobile_Phone`, `Email`, `Fax`, `Is_Customer_Bride?`) VALUES (2, 'Mrs', 'Deb', 'ORAH', 'hhhh', 'ooo', 'klll', 'NF22 0JF', 'j000', '999', '77', '88', '00', 0);

# ---------- DROP TABLE `Event` BEFORE (RE)CREATION ----------

DROP TABLE IF EXISTS `Event`;

# ---------- CREATE TABLE `Event` ----------

CREATE TABLE `Event` (
	`Event_ID` INT NOT NULL AUTO_INCREMENT,
	`Event_Date` DATETIME NULL,
	`Event_Type` INT NULL DEFAULT '0',
	`Event_Status` INT NULL DEFAULT '0',
	`Customer_ID` INT NULL DEFAULT '0',
	`Customer_First_Name` VARCHAR(50) NULL,
	`Customer_Last_Name` VARCHAR(50) NULL,
	PRIMARY KEY (`Event_ID`),
	KEY `Customer_ID` (`Customer_ID`)
) TYPE=MyISAM;

# ---------- EMPTY TABLE `Event` ----------

DELETE FROM `Event`;

# ---------- POPUPLATE TABLE `Event` ----------

INSERT INTO `Event` (`Event_ID`, `Event_Date`, `Event_Type`, `Event_Status`, `Customer_ID`, `Customer_First_Name`, `Customer_Last_Name`) VALUES (4, '2003-02-01 00:00:00', 1, 2, 1, NULL, NULL);
INSERT INTO `Event` (`Event_ID`, `Event_Date`, `Event_Type`, `Event_Status`, `Customer_ID`, `Customer_First_Name`, `Customer_Last_Name`) VALUES (5, '2006-04-03 00:00:00', 1, 1, 2, NULL, NULL);

# ---------- DROP TABLE `Event_Details` BEFORE (RE)CREATION ----------

DROP TABLE IF EXISTS `Event_Details`;

# ---------- CREATE TABLE `Event_Details` ----------

CREATE TABLE `Event_Details` (
	`Event_ID` INT NOT NULL DEFAULT '0' AUTO_INCREMENT